#!/bin/bash
#
# Script to regenerate haproxy configuration from roleconfig and have haproxy reload it.
#
#

. "${HOME}/etc/setenv.sh"


NeedHelp="true"

while getopts ":hf" Option ; do
	case $Option in
		f)
			NeedHelp="false"
			;;
	esac
done

if [ "${NeedHelp}" = "true" ] ; then
	echo "Usage:"
	echo "   $(basename "$0") [-h] -f"
	echo
	echo "         -h: prints this help"
	echo "         -f: regenerate haproxy configuration from roleconfig and have haproxy reload it"
	exit 0;
fi


templateFile="${HAPROXY_HOME}/config/haproxy.cfg.template"
[ -f "${HAPROXY_VAR}/haproxy.cfg.template" ] && templateFile="${HAPROXY_VAR}/haproxy.cfg.template"

"${HAPROXY_HOME}/genconfig.py" -t "${templateFile}" -o "${HAPROXY_CONFIG}"

if $ASROOT haproxy.asr status > /dev/null 2>&1 ; then
	$ASROOT haproxy.asr reload > /dev/null 2>&1
fi

